Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Is it possible to use new version of Indy 10
#4
(06-27-2018, 11:56 PM)OldBob1938 Wrote: I am really surprised that I'm using Indy 9.  When I right click on the Icons (such as IdSMTP)  that I've dragged from the tool palette, they all show that they are for 10.1.15.

That is the version you have installed in the IDE, but clearly that is not the version that is getting compiled into your executable.

(06-27-2018, 11:56 PM)OldBob1938 Wrote: I do have folders for both Indy 9 and Indy 10 in the Program files(x86)\Codegear\Rad Studio\5.0\...subfolders.  Could the program be using code from the wrong folders?

Sounds like it, yes. Such as if Indy 9 is on your systems' search path before Indy 10, so the compiler is finding the Indy 9 binaries first instead of the Indy 10 binaries. Try uninstalling Indy 9, or at least remove it from the search path (or move it after Indy 10), or rename the Indy 9 folder while compiling a project to use Indy 10.

Reply


Messages In This Thread
RE: Is it possible to use new version of Indy 10 - by rlebeau - 06-28-2018, 05:38 PM

Forum Jump:


Users browsing this thread: 1 Guest(s)